Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class FileChangeAdapter

    java.lang.Object
      org.openide.filesystems.FileChangeAdapter

All Implemented Interfaces:
  EventListener, FileChangeListener

    public class FileChangeAdapter

extends Object
implements FileChangeListener

Adapter for changes in `FileObject`s. Can be attached to any `FileObject`.

See Also:
  `FileChangeListener`

Constructor Summary
`FileChangeAdapter()`

Method Summary
`void` | `fileAttributeChanged(FileAttributeEvent fe)` Fired when a file attribute is changed.
`void` | `fileChanged(FileEvent fe)` Fired when a file is changed.
`void` | `fileDataCreated(FileEvent fe)` Fired when a new file is created.
`void` | `fileDeleted(FileEvent fe)` Fired when a file is deleted.
`void` | `fileFolderCreated(FileEvent fe)` Fired when a new folder is created.
`void` | `fileRenamed(FileRenameEvent fe)` Fired when a file is renamed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileChangeAdapter

    public FileChangeAdapter()

Method Detail

### fileFolderCreated

    public void fileFolderCreated(FileEvent fe)

  Fired when a new folder is created. This action can only be listened to in folders containing the created folder up to the root of filesystem.

  Specified by:
    `fileFolderCreated` in interface `FileChangeListener`
  Parameters:
    `fe` - the event describing context where action has taken place

### fileDataCreated

    public void fileDataCreated(FileEvent fe)

  Fired when a new file is created. This action can only be listened in folders containing the created file up to the root of filesystem.

  Specified by:
    `fileDataCreated` in interface `FileChangeListener`
  Parameters:
    `fe` - the event describing context where action has taken place

### fileChanged

    public void fileChanged(FileEvent fe)

  Fired when a file is changed.

  Specified by:
    `fileChanged` in interface `FileChangeListener`
  Parameters:
    `fe` - the event describing context where action has taken place

### fileDeleted

    public void fileDeleted(FileEvent fe)

  Fired when a file is deleted.

  Specified by:
    `fileDeleted` in interface `FileChangeListener`
  Parameters:
    `fe` - the event describing context where action has taken place

### fileRenamed

    public void fileRenamed(FileRenameEvent fe)

  Fired when a file is renamed.

  Specified by:
    `fileRenamed` in interface `FileChangeListener`
  Parameters:
    `fe` - the event describing context where action has taken place and the original name and extension.

### fileAttributeChanged

    public void fileAttributeChanged(FileAttributeEvent fe)

  Fired when a file attribute is changed.

  Specified by:
    `fileAttributeChanged` in interface `FileChangeListener`
  Parameters:
    `fe` - the event describing context where action has taken place, the name of attribute and the old and new values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.